Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage
Interface TermMatcher

All Known Implementing Classes:
  FuzzyMatcher

public interface TermMatcher

Implementations of this interface can be passed to method `TextSearchEngine.getNodes(XQueryContext, DocumentSet, NodeSet, TermMatcher, CharSequence)` to check if an index entry matches a given search term.

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Method Summary
`boolean` | `matches(java.lang.CharSequence term)`

Method Detail

### matches

    public boolean matches(java.lang.CharSequence term)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.